<?php

namespace ArtabanMarketplace\Model;

use ArtabanMarketplace\Model\Base\AmpSellerOrderStatusQuery as BaseAmpSellerOrderStatusQuery;


/**
 * Skeleton subclass for performing query and update operations on the 'amp_seller_order_status' table.
 *
 *
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 */
class AmpSellerOrderStatusQuery extends BaseAmpSellerOrderStatusQuery
{
public static function getNotPaidStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_NOT_PAID);
    }

    public static function getPaidStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_PAID);
    }

    public static function getProcessingStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_PROCESSING);
    }

    public static function getSentStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_SENT);
    }

    public static function getCancelledStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_CANCELED);
    }

    public static function getRefundedStatus() {
        return AmpSellerOrderStatusQuery::create()->findOneByCode(AmpSellerOrderStatus::CODE_REFUNDED);
    }

} // AmpSellerOrderStatusQuery